package com.kingdee.eas.custom.compensation;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class HandMacDepositEntryCollection extends AbstractObjectCollection 
{
    public HandMacDepositEntryCollection()
    {
        super(HandMacDepositEntryInfo.class);
    }
    public boolean add(HandMacDepositEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(HandMacDepositEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(HandMacDepositEntryInfo item)
    {
        return removeObject(item);
    }
    public HandMacDepositEntryInfo get(int index)
    {
        return(HandMacDepositEntryInfo)getObject(index);
    }
    public HandMacDepositEntryInfo get(Object key)
    {
        return(HandMacDepositEntryInfo)getObject(key);
    }
    public void set(int index, HandMacDepositEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(HandMacDepositEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(HandMacDepositEntryInfo item)
    {
        return super.indexOf(item);
    }
}